<div class="card-product card card-product__related">
  <div class="card-product__image-wrapper">
    <a href="{{ product.url | within: collection }}" class="d-block">
    {% if product.compare_at_price > product.price %}
      <div class="badge text-white text-center rounded-circle avenir-bold d-flex"><span class="my-auto mx-auto">{{ 'products.product.on_sale' | t }}</span></div>
      {% else %}
        {% for tag in product.tags %}
          {% if tag contains 'Nuevo' %}
            <div class="badge text-white text-center rounded-circle avenir-bold d-flex">
              <span class="my-auto mx-auto">{{ 'products.product.new' | t }}</span>
            </div>
          {% endif %}
        {% endfor %}
      {% endif %}
      <img src="{{ product.featured_image.src | img_url: 'grande', crop: 'center' }}" alt="{{ product.featured_image.alt | escape }}" class="card-product__image img-fluid">
    </a>
  </div>
  <div class="card-product__info card-body text-center">
    <h4 class="card-product__name card-title h6 pt-3 m-0 avenir-bold">
      <a href="{{ product.url | within: collection }}" class="d-block">
        {{ product.title }}
      </a>
    </h4>
    {% if product.available %}
      <div class="card-product__price" itemprop="price">
        {% if product.compare_at_price > product.price %}
          {% comment %} Si el rango de precio varia entre las opciones {% endcomment %}
          {% if product.price_varies %}
              {% comment %} Tiene rango de precios {% endcomment %}
              <span class="regular regvaries">
                {{ product.price_min | money_without_trailing_zeros }} - {{ product.price_max | money_without_trailing_zeros }} 
              </span>
          {% else %}
            <span class="discount">
              {% comment %} Precio anterior tachado {% endcomment %}
              {{ product.compare_at_price | money_without_trailing_zeros }}
            </span>
            <span class="regular regnonvaries">
              {% comment %} Precio Normal {% endcomment %}
              {{ product.price | money_without_trailing_zeros }}
            </span>
          {% endif %}
        {% else %}
          {% if product.price_varies %}
            {% comment %} Tiene rango de precios sin prices varies {% endcomment %}
            <span class="regular regvaries">
              {{ product.price_min | money_without_trailing_zeros }} - {{ product.price_max | money_without_trailing_zeros }} 
            </span>
          {% else %}
            <span class="regular regvaries">
              {% comment %} pregio solo {% endcomment %}
              {{ product.price | money_without_trailing_zeros }}
            </span>
          {% endif %}
        {% endif %}
      </div>
    {% else %}
      <div class="card-product__availability text-uppercase">
        <p class="m-0 avenir bold">{{ 'products.product.sold_out' | t }}</p>
      </div>
    {% endif %}
  </div>
</div>
